<template>
  <div>
    <v-dialog v-model="mostrarAdvertencia1" persistent max-width="800">
      <v-card>
        <div class="contSecc">
          <div class="titSec font-size-13">Advertencia</div>
          <div class="gris">
            <div class="titCol titDialog">
              ¿Estas seguro de generar una nueva version?<br />
            </div>
          </div>
        </div>
        <div class="btnCenter">
          <button class="btn btnG" @click="cancelarAlerta">Cancelar</button>
          <button class="btn" @click="guardarProyeto">Aceptar</button>
        </div>
      </v-card>
    </v-dialog>

    <v-dialog v-model="mostrarAdvertencia2" persistent max-width="800">
      <v-card>
        <div class="contSecc">
          <div class="titSec font-size-13">Advertencia</div>
          <div class="gris">
            <div class="titCol titDialog">Version Generada</div>
          </div>
        </div>
        <div class="btnCenter">
          <button class="btn" @click="cancelarAlerta2">Aceptar</button>
        </div>
      </v-card>
    </v-dialog>

    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Infraestructura</strong>
    </div>
    <div class="title">
      <strong>Actualización de documento</strong>
    </div>
    <br />

    <v-card>
      <v-row>
        <v-col :cols="12" :sm="12" :md="1" :lg="1" :xl="1"> </v-col>
        <v-col :cols="12" :sm="12" :md="10" :lg="10" :xl="10">
          <BusquedaSucursalActualiza
            v-model="datos"
            :callbackCecoSeleccionado="callbackCecoSeleccionado"
            :borradoPorNivel="borradoPorNivel"
            ref="busquedaSucursalActualiza"
          />

          <DatosSucursalBAZ
            v-if="paso > 1 && datos.idNegocio == 2"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalBAZ"
          />
          <DatosSucursalCYC
            v-if="paso > 1 && datos.idNegocio == 3"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalCYC"
          />
          <DatosSucursalEKT
            v-if="paso > 1 && datos.idNegocio == 1"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalEKT"
          />
          <DatosSucursalITK
            v-if="paso > 1 && datos.idNegocio == 5"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalITK"
          />
          <DatosSucursalPP
            v-if="paso > 1 && datos.idNegocio == 4"
            v-model="datos"
            :lectura="lectura"
            :guardarEditar="guardarEditar"
            :callbackInsertaDatosSucursal="callbackInsertaDatosSucursal"
            ref="datosSucursalPP"
          />

          <TablaListaArchivosComponent v-if="paso > 2" v-model="datos" />
          <br />

          <Button class="btn" v-if="paso > 2" @click="finalizar" style="margin: auto">
            Finalizar
          </Button>

          <br />
        </v-col>

        <v-col :cols="12" :sm="12" :md="1" :lg="1" :xl="1"> </v-col>
      </v-row>
    </v-card>
  </div>
</template>

<script>
import BusquedaSucursalActualiza from "./componentes2/BusquedaSucursalActualiza.vue";
import TablaListaArchivosComponent from "./componentes2/TablaListaArchivosComponent.vue";

import DatosSucursalBAZ from "./componentes2/DatosSucursalBAZ.vue";
import DatosSucursalCYC from "./componentes2/DatosSucursalCYC.vue";
import DatosSucursalEKT from "./componentes2/DatosSucursalEKT.vue";
import DatosSucursalITK from "./componentes2/DatosSucursalITK.vue";
import DatosSucursalPP from "./componentes2/DatosSucursalPP.vue";

export default {
  name: "infraestructura_layouts_actualiza_documento",
  components: {
    BusquedaSucursalActualiza,
    DatosSucursalBAZ,
    DatosSucursalCYC,
    DatosSucursalEKT,
    DatosSucursalITK,
    DatosSucursalPP,
    TablaListaArchivosComponent,
  },
  created() {},
  data() {
    return {
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Administracion Layouts",
          disabled: false,
          exact: true,
          to: {
            name: "infraestructura_layouts_administrador_layouts",
          },
        },
        {
          text: "Actualiza documento",
          disabled: true,
        },
      ],

      mostrarAdvertencia1: false,
      mostrarAdvertencia2: false,
      itemSeleccionado: null,
      lectura: false,
      paso: 1,
      datos: {
        idNegocio: 0,
        dataUnidadNegocio: {
          value: {
            idNegocio: "-1",
          },
        },
        dataCeco: {
          ceco: "",
          value: "",
        },
        dataFormato: {
          value: {
            descripcion: "",
            idFormato: 0,
          },
        },
        dataFichaSucursal: {
          value: {},
        },
        dataProyecto: {
          value: {
            descripcion: "",
            idProyecto: 0,
          },
        },
        folio: {
          idFolio: 0,
        },
        dataDocumento: {
          value: {
            descripcion: "",
            idDocumento: 0,
          },
        },
        dataFolioArchivosModelo1: {
          value: [],
        },
        dataFolioArchivosModelo2: {
          value: [],
        },
      },
    };
  },
  props: {},
  methods: {
    guardarEditar(guardar) {
      if (guardar) {
        this.paso = 3;
      } else {
        this.paso = 2;
      }
    },
    callbackInsertaDatosSucursal() {},
    callbackCecoSeleccionado(bandera) {
      if (bandera) {
        if (this.paso > 1) {
          var referencia = this.obtieneReferenciaDatosSucursal();
          referencia.cargaCatalogo();
        } else {
          this.paso = 2;
        }
      } else {
        this.paso = 1;
      }
    },
    borradoPorNivel(nivel) {
      this.paso = 1;
    },
    finalizar() {
      this.$refs.busquedaSucursalActualiza.reset();
      this.paso = 1;
    },

    cancelarAlerta() {
      this.mostrarAdvertencia1 = false;
    },
    cancelarAlerta2() {
      this.mostrarAdvertencia2 = false;
    },
    guardarProyeto() {},

    obtieneReferenciaDatosSucursal() {
      var referencia = null;
      if (this.$refs.datosSucursalBAZ) {
        referencia = this.$refs.datosSucursalBAZ;
      }
      if (this.$refs.datosSucursalEKT) {
        referencia = this.$refs.datosSucursalEKT;
      }
      if (this.$refs.datosSucursalITK) {
        referencia = this.$refs.datosSucursalITK;
      }
      if (this.$refs.datosSucursalPP) {
        referencia = this.$refs.datosSucursalPP;
      }
      if (this.$refs.datosSucursalCYC) {
        referencia = this.$refs.datosSucursalCYC;
      }
      return referencia;
    },
  },
};
</script>

<style lang="scss" scoped></style>
